close all
clear all
clc

format short


%% VLASTITE FUNKCIJE


% Zadatak 1.

[S, D, K, L] = MojaPrvaFunkcija(2, -7, 4)

help MojaPrvaFunkcija


% Zadatak 2.

[a, s, d] = PromjenjiviBrojArg(1, [4 78 3], 5, 'dobar dan', 89)


% Zadatak 3.

format long

A = 7;
TOL = 1e-6;
[sqr_A, n_iter] = my_sqrt(A, TOL)

sqrA = sqrt(A)
error = abs(sqrA - sqr_A)


%% GRAFIKA


%Zadatak 1.

figure(1)
x = -pi:0.3:pi;
y = cos(x).^2;
figure(1)
plot(x, y, 'o--r')
title('Ovo je funkcija kvadrata kosinusa')
xlabel('x-os')
ylabel('y-os')
legend('cos^2(x)')
axis([-1 3 -0.2 0.8])


%Zadatak 2.

figure(2)
x1 = -pi:1e-3:pi;
y1 = 10*sin(x1).^3;
y2 = exp(-x1).*cos(5*x1);
subplot(3, 2, [1 3])
plot(x1, y1, ':r', x1, y2, '--k', 'LineWidth', 2)
grid on

y3 = x1.^2;
subplot(3, 2, [2 4])
plot(x1, y3)
grid on

subplot(3, 2, [5 6])
plot(x1, y1+y2+y3, 'g', 'LineWidth', 2)
grid minor


% Zadatak 4.

figure(4)
x = -6:1.9:6;
y = -5:1.5:6;
[X, Y] = meshgrid(x, y);
h = Y.*sin(X).*cos(2.*X) - Y.*X.^3 + 2.*X;
surf(X, Y, h)
